org.apache.solr.request.json

## Class RequestUtil

- java.lang.Object
- - org.apache.solr.request.json.RequestUtil

-     public class RequestUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `processParams(SolrRequestHandler handler, SolrQueryRequest req, SolrParams defaults, SolrParams appends, SolrParams invariants)` Set default-ish params on a SolrQueryRequest as well as do standard macro processing and JSON request parsing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestUtil

          public RequestUtil()

  - ### Method Detail

    - #### processParams

          public static void processParams(SolrRequestHandler handler,
                                           SolrQueryRequest req,
                                           SolrParams defaults,
                                           SolrParams appends,
                                           SolrParams invariants)

      Set default-ish params on a SolrQueryRequest as well as do standard macro processing and JSON request parsing.
      Parameters:
        `handler` - The search handler this is for (may be null if you don't want this method touching the content streams)
        `req` - The request whose params we are interested in
        `defaults` - values to be used if no values are specified in the request params
        `appends` - values to be appended to those from the request (or defaults) when dealing with multi-val params, or treated as another layer of defaults for singl-val params.
        `invariants` - values which will be used instead of any request, or default values, regardless of context.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.